Skip to main content
`Ctrl`+`K`

# ISRestoreIndicesF90

Restores an index set to a usable state after a call to `ISGetIndicesF90()`.

## Synopsis

    ISRestoreIndicesF90(IS x,{integer, pointer :: xx_v(:)},integer ierr)

Not Collective

## Input Parameters

- x - index set

- xx_v - the Fortran pointer to the array

## Output Parameter

- ierr - error code

## Example of Usage

        PetscInt, pointer xx_v(:)
        ....
        call ISGetIndicesF90(x,xx_v,ierr)
        a = xx_v(3)
        call ISRestoreIndicesF90(x,xx_v,ierr)

## See Also

`ISGetIndicesF90()`, `ISGetIndices()`, `ISRestoreIndices()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/vec/is/is/tutorials/ex1f90.F90
src/vec/is/is/tutorials/ex1f.F90
src/vec/is/is/tutorials/ex3f90.F90
src/vec/is/is/tutorials/ex2f.F90
src/ksp/ksp/tutorials/ex76f.F90

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages